## org.apache.portals.bridges.jsf
Class ServletCookieMap.CookieNameEnumeration

    java.lang.Object
      org.apache.portals.bridges.jsf.ServletCookieMap.CookieNameEnumeration

All Implemented Interfaces:
  Enumeration

Enclosing class:
  ServletCookieMap

private static class ServletCookieMap.CookieNameEnumeration
extends Object
implements Enumeration

Field Summary
`private javax.servlet.http.Cookie[]` `_cookies`
`private int` `_index`
`private int` `_length`

Constructor Summary
`ServletCookieMap.CookieNameEnumeration(javax.servlet.http.Cookie[] cookies)`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _cookies

    private final javax.servlet.http.Cookie[] _cookies

### _length

    private final int _length

### _index

    private int _index

Constructor Detail

### ServletCookieMap.CookieNameEnumeration

    public ServletCookieMap.CookieNameEnumeration(javax.servlet.http.Cookie[] cookies)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.